Output spends

GET/esplora/api/tx/{txid}/outspends

Wallet API v1.0.0 · Transactions

For each output of the transaction, in order: whether it is spent, and by which input of which transaction.

Example

curl 'https://api.tensorcash.org/esplora/api/tx/edf886b19fe4bc2e9d2bd2cc690836d569984acc0dca1592c606f93978841e9f/outspends'

Parameters

NameInTypeRequiredDescription
txidpathstringYesTransaction id, 64 hex characters.

Responses

StatusDescriptionBody
200One entry per output
400Invalid txid
  • text/plain string
404Transaction not found
  • text/plain string
422Validation Error
503Index syncing: n/m
  • text/plain string

Schemas

Outspend

FieldTypeRequiredDescription
spentbooleanYes
txidstring—Spending transaction. Spent only.
vininteger—Input index in the spending transaction. Spent only.
statusTxStatus—

TxStatus

FieldTypeRequiredDescription
confirmedbooleanYesFalse while the transaction is in the mempool.
block_heightinteger—Confirmed only.
block_hashstring—Confirmed only.
block_timeinteger—Block timestamp, Unix seconds. Confirmed only.

ValidationError

FieldTypeRequiredDescription
locstring | integer[]Yes
msgstringYes
typestringYes
Source
tensorcash-wallet-api (tensorcash-api) v1.0.0 (772799e) · bobponey · MIT